Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
unlucky12

Xin code code của chương trình thống kê cốt thép bằng VBA

Các bài được khuyến nghị

làm ơn cho em xin code của chương trình thống kê cốt thép với :cheers: :gun: :D :blink:

 

Không có ai cho bạn cái code chương trình như vậy đâu.

 

Với lại nếu có thì may ra tác giả mới nắm được thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không có ai cho bạn cái code chương trình như vậy đâu.

 

Với lại nếu có thì may ra tác giả mới nắm được thôi.

các anh giúp em với làm đồ án đến đây thì bị tắc :cheers: :D :gun:

Nếu được cho em cả phần kẻ khung tên bằng khổ A3 nua nha!!!!! :D :gun: :D :blink:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
các anh giúp em với làm đồ án đến đây thì bị tắc :cheers: :D :D

Nếu được cho em cả phần kẻ khung tên bằng khổ A3 nua nha!!!!! :gun: :D :D :blink:

Hình như cậu này học nghành Tin học Xây dựng của trường XD thì phải?Đồ án hay BTL?VBA trong AutoCad không khó mấy đâu,chịu khó đọc sách 1 ít là làm dc mấy bài cơ bản ý mà.Gửi bạn tham khảo quyển Lập trình trong AutoCad của giảng viên Trần Anh Bình trường XD.Quyển này mình thấy rất hay và cơ bản.

:gun:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hình như cậu này học nghành Tin học Xây dựng của trường XD thì phải?Đồ án hay BTL?VBA trong AutoCad không khó mấy đâu,chịu khó đọc sách 1 ít là làm dc mấy bài cơ bản ý mà.Gửi bạn tham khảo quyển Lập trình trong AutoCad của giảng viên Trần Anh Bình trường XD.Quyển này mình thấy rất hay và cơ bản.

:cheers:

Để lập được một chương trình thống kê cốt thép là không khó, tôi nghĩ khi bạn đã làm đồ án tốt nghiệp về VBA thì chắc chắn bạn sẽ lập được một chương trình thống kê cốt thép, vấn đề là ứng dụng như thế nào trong đồ án của bạn mới là khó. Có thể có đoạn mã thống kê, bạn hoàn toàn có thể search trên mạng, nhưng liệu nó có ghép được vào chương trình bạn đã lập không :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

E có vấn đề xin đc hỏi:

 

E muốn chọn các đối tượng trong 1 file cad để lọc các thứ cần thiết

e dùng phương thức SelectOnScreen để chọn các đối tượng trong bản vẽ

{Dim Obj As Object

 

Set Obj = ThisDrawing.SelectionSets.Add("New")

Obj.SelectOnScreen}

 

nhưng select xong thì thấy Obj chỉ chứa được tối đa 256 item mà e thì muốn chứa nhiều hơn rất nhiều (có thế lên hàng nghìn item)

 

Bác nào biết giúp e với ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
E có vấn đề xin đc hỏi:

 

E muốn chọn các đối tượng trong 1 file cad để lọc các thứ cần thiết

e dùng phương thức SelectOnScreen để chọn các đối tượng trong bản vẽ

{Dim Obj As Object

 

Set Obj = ThisDrawing.SelectionSets.Add("New")

Obj.SelectOnScreen}

 

nhưng select xong thì thấy Obj chỉ chứa được tối đa 256 item mà e thì muốn chứa nhiều hơn rất nhiều (có thế lên hàng nghìn item)

 

Bác nào biết giúp e với ạ

 

Tôi thử làm vẫn bình thường, đây là code lấy từ Help của VBA. Bổ sung thêm dòng lệnh xoá "TEST_SSET" nếu có tồn tại trứơc đó:

 

 

Sub Example_SelectOnScreen()
' This example adds objects to a selection set by prompting the user
' to select ones to add.

' Create the selection set
Dim ssetObj As AcadSelectionSet
ThisDrawing.SelectionSets.Item("TEST_SSET").Delete
Set ssetObj = ThisDrawing.SelectionSets.Add("TEST_SSET")

' Add objects to a selection set by prompting user to select on the screen
ssetObj.SelectOnScreen
Dim ssetObj=nothing
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tks bác Phantuhuong,e làm đc rồi ah. Vậy mà lâu nay e cứ tưởng nó chỉ chứa 1 byte dữ liệu :">

e xem watch thấy có 256 nên chả bít phải làm sao.

 

Có 1 điều e ko hiểu, sao nó chỉ hiện ra 256 item ở phần theo dõi biến thôi nhỉ ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào bác Phantuhuong.

Em có điều muốn được hỏi bác một chút. Sau khi em chọn đối tượng trên màn hình bằng cấu trúc lệnh : ThisDrawing.Utility.GetEntity entry, PickedPoint, "(Select Line : )"

Em đã lấy được thông tin của đối tượng đó rồi và bây giờ em muốn xoá nó đi thì em phải làm như thế nào hả bác.

Đây là cấu trúc em đang viết dở. Bác xem qua và cho em giải đáp bác nhé. Cảm ơn bác rất nhiều :

Sub LatCanh()
Dim Id1 As Long, Id2 As Long, Id3 As Long, ID4 As Long
Dim it1 As Long, it2 As Long, it3 As Long
Dim it As Long
Dim entry As AcadObject
Dim PickedPoint As Variant
Dim P As Point_3D
Dim P1 As Point_3D, P2   As Point_3D
Dim Pt(1 To 4) As Point_3D
ThisDrawing.Utility.GetEntity entry, PickedPoint, "(Select  Line : )"
P.rX = PickedPoint(0)
P.rY = PickedPoint(1)
it = GetTamGiac(P)
Id1 = DS_Tamgiacs(it).Id(1)
Id2 = DS_Tamgiacs(it).Id(2)
Id3 = DS_Tamgiacs(it).Id(3)
Pt(1) = DS_GPoints(Id1)
Pt(2) = DS_GPoints(Id2)
Pt(3) = DS_GPoints(Id3)
Pt(4) = Pt(1)
'	'Neu la doi tuong Line
If entry.ObjectName = "AcDbLine" Then
	Dim ObjLine As AcadLine
	Set ObjLine = entry
	P1.rX = ObjLine.startPoint(0): P1.rY = ObjLine.startPoint(1)
	P2.rX = ObjLine.endPoint(0): P2.rY = ObjLine.endPoint(1)
''''''		MsgBox P1.rX & vbCrLf & P1.rY & vbCrLf & P2.rX & vbCrLf & P2.rY
	Dim j As Long
	For j = 1 To 3
		If (Diemtrungnhau(P1, Pt(j)) = True) And (Diemtrungnhau(P2, Pt(j + 1)) = True) Then
			MsgBox "§©y lµ tam gi¸c thø " & it & vbCrLf & "§· chän ®­îc c¹nh", vbInformation, "Th«ng b¸o"
			TIN.HoanViBatBuoc it, j
			TIN.VeTamGiacs
			'''' Sau khi thoả mãn điều kiện thì xoá nó đi
			ObjLine.Delete
			ThisDrawing.Regen acAllViewports
			Exit Sub
		End If
	Next

End If

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

chào các bác em cũng bít qua một ít về lisp nhưng giờ muốn tìm hiểu qua về VBA. trong phương thức chọn đối tượng nếu mình muốn chọn các đường line mang màu 1 thì làm sao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×